Subject: bug#79440: closed (Re: bug#79440: 31.0.50; Docstring of dired-find-subdir confuses the values)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 13 Sep 2025 10:49:02 +0000

Your bug report

#79440: 31.0.50; Docstring of dired-find-subdir confuses the values

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
79440: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=79440
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#79440: 31.0.50; Docstring of dired-find-subdir confuses the values
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sat, 13 Sep 2025 13:48:04 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Sat, 13 Sep 2025 08:15:30 +0200
> From:  Michael Heerdegen via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> 
> Hello,
> 
> unless I'm somehow confused...
> 
> the docstring of dired-find-subdir says:
> 
> | If non-nil, Dired always finds a directory in a buffer of its own.
> | If nil, Dired finds the directory as a subdirectory in some other buffer
> | if it is present as one.
> 
> But if you look at `dired-find-buffer-nocreate', you see that it's
> exactly the other way round.  Also the plain name suggests the opposite
> meaning.  Look: In
> 
> 0a44133e626 "(dired-find-subdir): Doc fix." (Richard M. Stallman <[email-masked]> 1994-10-26)
> 
> this part of the docstring has been changed, the docstring version
> before that commit started with
> 
> | *If non-nil, Dired does not make a new buffer for a directory if it
> | can be found (perhaps as subdir) in some existing Dired buffer.
> 
> which was correct.  The new version looks like a typo.  Or I just don't
> understand the words of the recent version.

Thanks, fixed on the emacs-30 branch, and closing the bug.

Subject: 31.0.50; Docstring of dired-find-subdir confuses the values
From: Michael Heerdegen <[email-masked]>
To: [email-masked]
Date: Sat, 13 Sep 2025 08:15:30 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

unless I'm somehow confused...

the docstring of dired-find-subdir says:

| If non-nil, Dired always finds a directory in a buffer of its own.
| If nil, Dired finds the directory as a subdirectory in some other buffer
| if it is present as one.

But if you look at `dired-find-buffer-nocreate', you see that it's
exactly the other way round.  Also the plain name suggests the opposite
meaning.  Look: In

0a44133e626 "(dired-find-subdir): Doc fix." (Richard M. Stallman <[email-masked]> 1994-10-26)

this part of the docstring has been changed, the docstring version
before that commit started with

| *If non-nil, Dired does not make a new buffer for a directory if it
| can be found (perhaps as subdir) in some existing Dired buffer.

which was correct.  The new version looks like a typo.  Or I just don't
understand the words of the recent version.

TIA,

Michael.